Package org.apache.commons.lang3.function

## Interface FailableIntFunction<R,​E extends java.lang.Throwable>

Type Parameters:
  `R` - Return type.
  `E` - Thrown exception.

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface FailableIntFunction<R,​E extends java.lang.Throwable>

A functional interface like `IntFunction` that declares a `Throwable`.

Since:
  3.11

### Field Summary

Fields
`static FailableIntFunction` `NOP` NOP singleton

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods
`R` `apply​(int input)` Applies this function.
`static <R,​E extends java.lang.Throwable> FailableIntFunction<R,​E>` `nop()` Returns The NOP singleton.

### Field Detail

#### NOP

    static final FailableIntFunction NOP

NOP singleton

### Method Detail

#### nop

    static <R,​E extends java.lang.Throwable> FailableIntFunction<R,​E> nop()

Returns The NOP singleton.

Type Parameters:
  `R` - Return type.
  `E` - Thrown exception.
Returns:
  The NOP singleton.

#### apply

    R apply​(int input)
     throws E extends java.lang.Throwable

Applies this function.

Parameters:
  `input` - the input for the function
Returns:
  the result of the function
Throws:
  `E` - Thrown when the function fails.
  `E extends java.lang.Throwable`